const { MESSAGES } = require("../../util/constants");
const { canModifyQueue } = require("../../util/LanBot");

module.exports.run = (client, message, args, settings) => {
    
    if (!canModifyQueue(message.member))return message.channel.send('Vous devez être dans un salon vocal pour utiliser cette commande !');

    let queue = message.client.queue.get(message.guild.id)
    if(!queue){ return message.channel.send({
        embed: {
            description: `Liste d'attente vide ! merci d'utiliser la commande \`${settings.prefix}play + URL / Nom de la musique\` !`,
            color: 'BLACK'
        }
    })
}
    if(queue.songs.length !== 0) {
        message.react('✅')
        queue.connection.dispatcher.end('Dacodac Je passe à la suivante')
    }

};

module.exports.help = MESSAGES.COMMANDS.MUSIQUE.SKIP;